# Comptes Pralo

Programme de coin de table pour faire les comptes entre amis.

## Mode d'emploi: compte unique

On écrit ce que chacun à payé au long du séjour et on renseigne le temps de séjour pour chaque personne dans un fichier .csv .

**example/compte.csv**

    nom,montant, parts
    pipo,   20 + 3, 3
    hiphop, 40, 4
    chic,   0, 4
    Couette,50, 1

On lance le programme avec le fichier en argument

    python -m pralo -f example/compte.csv
    
    Cout total: 113
    Nombre de parts 12
    Cout de la part: 9.42


    chic donne 37.67 à Couette
    pipo donne 2.92 à Couette
    pipo donne 2.33 à hiphop

## Mode d'emploi: multicompte

Le principe est le meme, on écrit les dépenses dans autant que fichiers .csv qu'il y a de comptes. On place ces fichiers dans une meme repertoire et on fait tourner le programme dessus:

    python -m pralo -f example/multicompte/

    Compte: transport.csv
    Cout total: 40
    Nombre de parts 5
    Cout de la part: 8.0


    Compte: logement.csv
    Cout total: 30
    Nombre de parts 3
    Cout de la part: 10.0


    Compte: courses.csv
    Cout total: 113
    Nombre de parts 12
    Cout de la part: 9.42


    Chic donne 37.67 à Couette
    chic donne 16.0 à Couette
    Pipo donne 15.25 à Couette
    Plop donne 3.67 à Couette
    Plop donne 2.33 à Hiphop
